I'm making the move from R14 to 2005 and this is pretty much my last unresolved problem. this lisp routine draws a squiggly poly line. The routine itself works fine and seems to display properly on the screen but when its plotted out in 2005 the line is extremely fine like its ignoring the line weight I assigned to the color. In r14 it plots out as a nice thick bold line. Anyway I can fix the problem with the squiggly poly line manually by exploding it or using pedit and changing the width but I use this a lot and that will become very cumbersome and time consuming. Is there any way that the width of the pline used in this lisp can be increased? Here is a cut and paste of the routine. TIA ;This Command Draws squiggly polylines. ; (defun c:sq (/ pl p1 p3 dst an ll dsc cd nc p2 np w np pl up) (setq cce (getvar "CMDECHO")) (setvar "CMDECHO" 0) (setq p1 (getpoint " Choose Start Point: ") p3 (getpoint p1 " Choose End Point: ") dst (distance p1 p3) an (angle p1 p3) ll (/ (getvar "ltscale") 25.0) dsc (- dst (* 3.0 ll)) nc (fix (/ dsc (* 7 ll))) nc (if (zerop nc) 1 nc) cd (/ dsc nc) p2 (polar p1 an ll) np p2 pl (list np) w (/ ll 7)) (repeat nc (setq np (polar np an cd) pl (append pl (list np))) ) (command "pline" p1 "w" w w p2 "a") (foreach p (cdr pl) (command "d") (if up (progn (setq up nil) (command (angtos (+ an 250) 0 0)) ) (progn (setq up T) (command (angtos (- an 250) 0 0)) ) ) ;ends if (command p) ) ;ends foreach (command "l" p3 "") ;ends command (setvar "CMDECHO" cce) ) ;ends